Bug 162544 - Updating cryptsetup-luks from 1.0-1 to 1.0.1-0 breaks previously created volumes
Updating cryptsetup-luks from 1.0-1 to 1.0.1-0 breaks previously created volumes
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-05 23:54 EDT by Jason Tackaberry
Modified: 2014-03-16 22:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-06 11:58:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tackaberry 2005-07-05 23:54:36 EDT
Did a "yum update" and noticed a filesystem created with cryptsetup using a
stock FC4 system was no longer mounting.  Rolling back to 1.0-1 fixed the
problem.  The following shell session adequately illustrates the problem:

[root@viper ~]# dd if=/dev/zero of=foobar bs=1M count=10
10+0 records in
10+0 records out
[root@viper ~]# rpm -q cryptsetup-luks
cryptsetup-luks-1.0-1
[root@viper ~]# losetup /dev/loop0 foobar
[root@viper ~]# echo blahblah | cryptsetup -c serpent-cbc-essiv:sha256 -s 256
create cp0 /dev/loop0
[root@viper ~]# dd if=/dev/zero of=/dev/mapper/cp0
dd: writing to `/dev/mapper/cp0': No space left on device
20481+0 records in
20480+0 records out
[root@viper ~]# md5sum /dev/loop0
fc001241299983f3d59c1ec234c56f6c  /dev/loop0
[root@viper ~]# yum -y update cryptsetup-luks &>/dev/null
[root@viper ~]# rpm -q cryptsetup-luks
cryptsetup-luks-1.0.1-0.fc4
[root@viper ~]# dmsetup remove cp0
[root@viper ~]# echo blahblah | cryptsetup -c serpent-cbc-essiv:sha256 -s 256
create cp0 /dev/loop0
[root@viper ~]# dd if=/dev/zero of=/dev/mapper/cp0
dd: writing to `/dev/mapper/cp0': No space left on device
20481+0 records in
20480+0 records out
[root@viper ~]# md5sum /dev/loop0
44afd074d4b9f1b0d73b01198901fe4a  /dev/loop0

Notice the md5sum of the loop-backed file is different between the two versions.
Comment 1 Bill Nottingham 2005-07-06 11:41:50 EDT
From: 
  http://luks.endorphin.org/dm-crypt
- Fixed hash inconsistancy bug between cryptsetup-luks and original for piped
passwords.

So, it's either be compatibile with earlier releases of cryptsetup (i.e., FC3),
or compatible with what was shipped in FC4. :/
Comment 2 Jason Tackaberry 2005-07-06 11:52:45 EDT
Interesting dilemma.  Seeing as the regression is actually in 1.0-1 and not
1.0.1-0, and backward compatibility with FC3 is probably more important, I
suppose I'd be inclined to mark this NOTABUG, with apologies to annoyed users
like myself who have to rebuild their volumes. :)

Comment 3 Bill Nottingham 2005-07-06 11:58:21 EDT
Yeah, fixing the regression from FC3 was sort of the reason for the upgrade.
It's unfortunate that that wasn't noticed before FC4.

Note You need to log in before you can comment on or make changes to this bug.